import { DoCheck, ElementRef, OnDestroy, OnInit, EventEmitter } from '@angular/core';
import { AbstractControlDirective, NgControl } from '@angular/forms';
export declare class RlDatePickerInputComponent implements OnInit, DoCheck, OnDestroy {
    protected el: ElementRef;
    protected control: NgControl;
    protected OpenBtn: ElementRef;
    ngModel: AbstractControlDirective;
    options: any;
    onClose: EventEmitter<any>;
    protected opened: boolean;
    protected dateObject: Date;
    protected $dateObject: any;
    protected docmousedown: any;
    protected subscriber: any;
    constructor(el: ElementRef, control: NgControl);
    ngOnInit(): void;
    ngOnDestroy: () => void;
    ngDoCheck(): void;
    /**
     * Get the HTMLElement of this Element
     * @returns {HTMLElement}
     * @constructor
     */
    protected readonly LayoutElement: HTMLElement;
    /**
     * Get the HTMLElement of the Datepicker
     * @returns {HTMLElement}
     * @constructor
     */
    protected readonly DatepickerElement: HTMLElement;
    protected readonly OpenBtnElement: HTMLElement;
    protected removeEventListener(): void;
    protected addEventListener(): void;
    open(): void;
    setToToday(): void;
    clearDate(): void;
}
